// ChildFrm.cpp : implementation of the CChildFrame class
//
#include "stdafx.h"
#include "Moebius4.h"

#include "MBDoc.h"
#include "MBView.h"
#include "MBGLView.h"
#include "ChildFrm.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CChildFrame

IMPLEMENT_DYNCREATE(CChildFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CChildFrame, CMDIChildWnd)
END_MESSAGE_MAP()


// CChildFrame construction/destruction

CChildFrame::CChildFrame()
{
	// TODO: add member initialization code here
}

CChildFrame::~CChildFrame()
{
}


BOOL CChildFrame::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying the CREATESTRUCT cs
	if( !CMDIChildWnd::PreCreateWindow(cs) )
		return FALSE;

	cs.style = WS_CHILD | WS_VISIBLE | WS_OVERLAPPED | WS_CAPTION | WS_SYSMENU
		| FWS_ADDTOTITLE | WS_THICKFRAME | WS_MINIMIZEBOX | WS_MAXIMIZEBOX | WS_MAXIMIZE;

	return TRUE;
}


// CChildFrame diagnostics

#ifdef _DEBUG
void CChildFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CChildFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG


// CChildFrame message handlers

BOOL CChildFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext)
{
	m_SplitWnd.CreateStatic(this,1,2);
	
	if(!m_SplitWnd.CreateView(0,0,RUNTIME_CLASS(CMBView),CSize(300,100),pContext))
	{
		return FALSE;
	};
	if(!m_SplitWnd.CreateView(0,1,RUNTIME_CLASS(CMBGLView),CSize(100,100),pContext))
	{	
		return FALSE;
	}
	m_fview = (CMBView *) m_SplitWnd.GetPane(0,0);
	m_glview = (CMBGLView *) m_SplitWnd.GetPane(0,1);
	
	m_bSplitterCreated=true;
  return true;
}
